PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
plask::TriangularMesh2D::Elements Struct Reference

Wrapper to TriangularMesh2D which allows for accessing FEM-like elements. More...

`#include <plask/mesh/triangular2d.hpp>`

Collaboration diagram for plask::TriangularMesh2D::Elements:
[legend]

## Public Types
typedef IndexedIterator< const Elements, Element > | const_iterator
typedef const_iterator | iterator

## Public Member Functions
| Elements (const TriangularMesh2D &mesh)
Element | at (std::size_t index) const
Element | operator[] (std::size_t index) const
std::size_t | size () const
| Get number of elements (triangles) in the mesh.
bool | empty () const
const_iterator | begin () const
const_iterator | end () const

## Public Attributes
const TriangularMesh2D & | mesh

## Detailed Description

Wrapper to TriangularMesh2D which allows for accessing FEM-like elements.

It works like read-only, random access container of Element objects.

Definition at line 137 of file triangular2d.hpp.

## Member Typedef Documentation

## ◆ const_iterator

typedef IndexedIterator<const Elements, Element> plask::TriangularMesh2D::Elements::const_iterator

Definition at line 160 of file triangular2d.hpp.

## ◆ iterator

typedef const_iterator plask::TriangularMesh2D::Elements::iterator

Definition at line 161 of file triangular2d.hpp.

## Constructor & Destructor Documentation

## ◆ Elements()

plask::TriangularMesh2D::Elements::Elements | ( | const TriangularMesh2D & | mesh | ) |
| inline explicit

Definition at line 140 of file triangular2d.hpp.

## Member Function Documentation

## ◆ at()

Element plask::TriangularMesh2D::Elements::at | ( | std::size_t | index | ) | const
| inline

Definition at line 142 of file triangular2d.hpp.

## ◆ begin()

const_iterator plask::TriangularMesh2D::Elements::begin | ( |  | ) | const
| inline

Returns
  iterator referring to the first element (triangle) in the mesh

Definition at line 164 of file triangular2d.hpp.

## ◆ empty()

bool plask::TriangularMesh2D::Elements::empty | ( |  | ) | const
| inline

Definition at line 158 of file triangular2d.hpp.

## ◆ end()

const_iterator plask::TriangularMesh2D::Elements::end | ( |  | ) | const
| inline

Returns
  iterator referring to the past-the-end element (triangle) in the mesh

Definition at line 167 of file triangular2d.hpp.

## ◆ operator[]()

Element plask::TriangularMesh2D::Elements::operator[] | ( | std::size_t | index | ) | const
| inline

Definition at line 148 of file triangular2d.hpp.

## ◆ size()

std::size_t plask::TriangularMesh2D::Elements::size | ( |  | ) | const
| inline

Get number of elements (triangles) in the mesh.

Returns
  number of elements

Definition at line 156 of file triangular2d.hpp.

## Member Data Documentation

## ◆ mesh

const TriangularMesh2D& plask::TriangularMesh2D::Elements::mesh

Definition at line 138 of file triangular2d.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/triangular2d.hpp